#
# spec file for package python-pylons_sphinx_theme
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2013 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define gitrel	20130712

Name:           python-pylons_sphinx_theme
Version:        git.%{gitrel}
Release:        8.5
Summary:        Pylons themes for python-Sphinx generated documentation
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/Pylons/pylons_sphinx_theme
Source:         pylons_sphinx_theme-%{version}.tar.bz2
PreReq:         python-Sphinx
Requires:       python-Pygments
Provides:       python-pylons_theme_support
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This package contains the Pylons themes for python-Sphinx generated documentation.

%prep
%setup -q -n pylons_sphinx_theme-%{version}

%build
test -s LICENSE.txt || rm -f LICENSE.txt
mv pyramid pyramidnew

%install
mkdir -p %{buildroot}%{python_sitelib}/sphinx/themes
cp -vr pylons pylonsfw pyramidnew %{buildroot}%{python_sitelib}/sphinx/themes
cp pylons_theme_support.py %{buildroot}%{python_sitelib}

%post
# relocate outdated pyramid theme to pyramidold and link in current theme
test -f %{python_sitelib}/sphinx/themes/pyramid/layout.html && {
    cd %{python_sitelib}/sphinx/themes
    mv pyramid pyramidold
    ln -s pyramidnew pyramid
    cd - >/dev/null
}
exit 0

%postun
# restore relocated pyramidold theme as current pyramid theme
test -h %{python_sitelib}/sphinx/themes/pyramid && {
    cd %{python_sitelib}/sphinx/themes
    rm pyramid
    mv pyramidold pyramid
    cd - >/dev/null
}
exit 0

%files
%defattr(-,root,root)
%doc *.txt
%{python_sitelib}/pylons_theme_support.py
%{python_sitelib}/sphinx/themes/*

%changelog
* Sat Nov  8 2014 Led <ledest@gmail.com>
- fix bashisms in post/postun scripts
* Mon Aug  5 2013 hpj@urpla.net
- install pylons_theme_support.py module, now that python-pyramid
  and python-pyramid_beaker depend on it
* Sun Jul 28 2013 hpj@urpla.net
- git.20130712: initial build
